package cn.com.countrygarden.bi.main.service.districtReport;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.districtReport.RdUncollectedBuildingProjectsDTO;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.districtReport.RdUncollectedBuildingProjects;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * 未收楼项目信息-业务逻辑层
 *
 * @author 吕伟峰
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2019-08-14
 */
public interface RdUncollectedBuildingProjectsService {

    Result queryPageList(RdUncollectedBuildingProjectsDTO rdUncollectedBuildingProjectsDTO, int page, int size,AccessToken accessToken);

    Result queryById(Integer id);

    Result buildingProjectsAddOne(String districtCode,String projectCode,AccessToken accessToken);

    Result add(RdUncollectedBuildingProjects rdUncollectedBuildingProjects, AccessToken accessToken);

    Result edit(RdUncollectedBuildingProjects rdUncollectedBuildingProjects, AccessToken accessToken);

    Result del(Integer id,AccessToken accessToken,String updateName);

    Result delpiliang(String ids,AccessToken accessToken,String updateName);

    Result excelToxls(Integer radio, MultipartFile multipartFile, String fileName, String usname, String userCode, AccessToken accessToken);

    HSSFWorkbook exportAllRdUncollectedBuildingProjects(AccessToken accessToken, HttpServletResponse response) throws IOException;


}